Subject: Re: (i18n.422) Regular expressions in Unicode (Was: Ethiopic text)

From: Андрей Чернов <[email-masked]>
Date: Thu, 12 Mar 1998 18:22:36 +0300

On Thu, Mar 12, 1998 at 09:25:47AM -0500, Alain LaBontИ═ wrote:
> A 02:37 98-03-12 -0800, Hallvard B Furuseth a Иcrit :
> >I wrote:
> >
> >>> In particular, I wonder about
> >>> character ranges: If the user says "[ю-е]" in his 8-bit charset (not
> >>> latin-1),

FYI: in practice I patch all regex family in FreeBSD tree to use collation
sequence data from locale for [a-z]-type national ranges. Using Unicode
f.e. not help here, because letters not sorted alphabetically (f.e.
Russian YO letter is out of order) and [a-z]-type ranges assume alphabet
order in most cases. 

-- 
Andrey A. Chernov
http://www.nagual.pp.ru/~ache/
MTH/SH/HE S-- W-- N+ PEC>+ D A a++ C G>+ QH+(++) 666+>++ Y